# Get Contacts

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/contacts/get/

`GET /unified/ticketing/contacts/{id}`

Resource: **Contacts** · API: **Unified Ticketing API**

## Supported integrations

Accelo, BMC Helix, Dixa, eDesk, Enchant, Freshdesk, Front, FuseDesk, Gladly, Gorgias, Help Scout, HubSpot, Intercom, Jira Service Management, Kustomer, LiveAgent, LiveChat, Productboard, Puzzel Case Management, Quickbase for Project Management, Richpanel, Salesforce, ServiceNow, servicenowitsm, Superchat, SurveySparrow Ticket Management, Trengo, Zendesk, Zoho Desk

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  The unique identifier for a contact
- **`first_name`** _(string)_
  The first name of the contact
- **`last_name`** _(string)_
  The last name of the contact
- **`name`** _(string)_
  The name of the contact
- **`emails`** _(array<object>)_
  The emails of the contact
  - **`email`** _(string, required)_
    The email of the contact
  - **`type`** _(string)_
    The type of the email
- **`phones`** _(array<object>)_
  The phone numbers of the contact
  - **`number`** _(string)_
    The phone of the contact
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of the phone
- **`details`** _(string)_
  The details of the contact
- **`account_id`** _(string)_
  The account id of the contact
- **`created_at`** _(string)_
  The date the contact was created
- **`updated_at`** _(string)_
  The date the contact was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`custom_fields`** _(object)_
  All the custom fields present on the contact
- **`is_active`** _(boolean)_
  Whether the contact is active or not
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ticketing/contacts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/contacts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ticketing/contacts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'contacts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "contacts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
